Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.reconciler
Class AbstractReconcileStep

    java.lang.Object
      org.eclipse.jface.text.reconciler.AbstractReconcileStep

All Implemented Interfaces:
  IReconcileStep

public abstract class AbstractReconcileStep
extends Object
implements IReconcileStep

Abstract implementation of a reconcile step.

Since:
  3.0

Field Summary
`protected IReconcilableModel` | `fInputModel`

Constructor Summary
`AbstractReconcileStep()` Creates the last reconcile step of the pipe.
`AbstractReconcileStep(IReconcileStep step)` Creates an intermediate reconcile step which adds the given step to the pipe.

Method Summary
`protected IReconcileResult[]` | `convertToInputModel(IReconcileResult[] inputResults)` Adapts the given an array with reconcile results to this step's input model and returns it.
`IReconcilableModel` | `getInputModel()` Returns the reconcilable input model.
`abstract IReconcilableModel` | `getModel()` Returns the reconcilable model.
`IProgressMonitor` | `getProgressMonitor()` Returns the progress monitor used to report progress.
`protected boolean` | `isCanceled()`
`boolean` | `isFirstStep()` Returns whether this is the first reconcile step or not.
`boolean` | `isLastStep()` Returns whether this is the last reconcile step or not.
`IReconcileResult[]` | `reconcile(DirtyRegion dirtyRegion, IRegion subRegion)` Activates incremental reconciling of the specified dirty region.
`IReconcileResult[]` | `reconcile(IRegion partition)` Activates non-incremental reconciling.
`protected abstract IReconcileResult[]` | `reconcileModel(DirtyRegion dirtyRegion, IRegion subRegion)` Reconciles the model of this reconcile step.
`void` | `setInputModel(IReconcilableModel inputModel)` Tells this reconcile step on which model it will work.
`void` | `setPreviousStep(IReconcileStep step)` Sets the step which is in front of this step in the pipe.
`void` | `setProgressMonitor(IProgressMonitor monitor)` Sets the progress monitor for this reconcile step.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fInputModel

    protected IReconcilableModel fInputModel

Constructor Detail

### AbstractReconcileStep

    public AbstractReconcileStep(IReconcileStep step)

  Creates an intermediate reconcile step which adds the given step to the pipe.

Parameters:
  `step` - the reconcile step

### AbstractReconcileStep

    public AbstractReconcileStep()

  Creates the last reconcile step of the pipe.

Method Detail

### isLastStep

    public boolean isLastStep()

  Description copied from interface: `IReconcileStep`
  Returns whether this is the last reconcile step or not.

  Specified by:
    `isLastStep` in interface `IReconcileStep`
  Returns:
    `true` iff this is the last reconcile step

### isFirstStep

    public boolean isFirstStep()

  Description copied from interface: `IReconcileStep`
  Returns whether this is the first reconcile step or not.

  Specified by:
    `isFirstStep` in interface `IReconcileStep`
  Returns:
    `true` iff this is the first reconcile step

### setProgressMonitor

    public void setProgressMonitor(IProgressMonitor monitor)

  Description copied from interface: `IReconcileStep`
  Sets the progress monitor for this reconcile step.

  Specified by:
    `setProgressMonitor` in interface `IReconcileStep`
  Parameters:
    `monitor` - the progress monitor to be used

### getProgressMonitor

    public IProgressMonitor getProgressMonitor()

  Description copied from interface: `IReconcileStep`
  Returns the progress monitor used to report progress.

  Specified by:
    `getProgressMonitor` in interface `IReconcileStep`
  Returns:
    a progress monitor or `null` if no progress monitor is available

### reconcile

    public final IReconcileResult[] reconcile(IRegion partition)

  Description copied from interface: `IReconcileStep`
  Activates non-incremental reconciling. The reconciling strategy is just told that there are changes and that it should reconcile the given partition of the document most recently passed into `IReconcilingStrategy.setDocument(org.eclipse.jface.text.IDocument)`.

  Specified by:
    `reconcile` in interface `IReconcileStep`
  Parameters:
    `partition` - the document partition to be reconciled
  Returns:
    an array with reconcile results

### reconcile

    public final IReconcileResult[] reconcile(DirtyRegion dirtyRegion,
                                              IRegion subRegion)

  Description copied from interface: `IReconcileStep`
  Activates incremental reconciling of the specified dirty region. As a dirty region might span multiple content types, the segment of the dirty region which should be investigated is also provided to this reconciling strategy. The given regions refer to the document passed into the most recent call of `IReconcilingStrategy.setDocument(org.eclipse.jface.text.IDocument)`.

  Specified by:
    `reconcile` in interface `IReconcileStep`
  Parameters:
    `dirtyRegion` - the document region which has been changed
    `subRegion` - the sub region in the dirty region which should be reconciled
  Returns:
    an array with reconcile results

### reconcileModel

    protected abstract IReconcileResult[] reconcileModel(DirtyRegion dirtyRegion,
                                                         IRegion subRegion)

  Reconciles the model of this reconcile step. The result is based on the input model.

  Parameters:
    `dirtyRegion` - the document region which has been changed
    `subRegion` - the sub region in the dirty region which should be reconciled
  Returns:
    an array with reconcile results

### convertToInputModel

    protected IReconcileResult[] convertToInputModel(IReconcileResult[] inputResults)

  Adapts the given an array with reconcile results to this step's input model and returns it.

  Parameters:
    `inputResults` - an array with reconcile results
  Returns:
    an array with the reconcile results adapted to the input model

### isCanceled

    protected final boolean isCanceled()

### setPreviousStep

    public void setPreviousStep(IReconcileStep step)

  Description copied from interface: `IReconcileStep`
  Sets the step which is in front of this step in the pipe.

  Note: This method must be called at most once per reconcile step.

  Specified by:
    `setPreviousStep` in interface `IReconcileStep`
  Parameters:
    `step` - the previous step

### setInputModel

    public void setInputModel(IReconcilableModel inputModel)

  Description copied from interface: `IReconcileStep`
  Tells this reconcile step on which model it will work. This method will be called before any other method and can be called multiple times. The regions passed to the other methods always refer to the most recent model passed into this method.

  Specified by:
    `setInputModel` in interface `IReconcileStep`
  Parameters:
    `inputModel` - the model on which this step will work

### getInputModel

    public IReconcilableModel getInputModel()

  Returns the reconcilable input model.

  Returns:
    the reconcilable input model.

### getModel

    public abstract IReconcilableModel getModel()

  Returns the reconcilable model.

  Returns:
    the reconcilable model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.